org.eclipse.microprofile.openapi.apps.airlines.resources

## Class ReviewResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.resources.ReviewResource

    @Path(value="/reviews")
    public class ReviewResource
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReviewResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `createReview(Review review)`
`jakarta.ws.rs.core.Response` `deleteReview(int id)`
`jakarta.ws.rs.core.Response` `getAllReviews()`
`jakarta.ws.rs.core.Response` `getReviewByAirline(String airlines)`
`jakarta.ws.rs.core.Response` `getReviewByAirlineAndUser(String user, String airlines)`
`jakarta.ws.rs.core.Response` `getReviewById(int id)`
`jakarta.ws.rs.core.Response` `getReviewByUser(String user)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReviewResource

    public ReviewResource()

### Method Detail

#### getAllReviews

    @GET
     @Produces(value="application/json")
    public jakarta.ws.rs.core.Response getAllReviews()

#### getReviewById

    @GET
     @Path(value="{id}")
     @Produces(value="application/json")
    public jakarta.ws.rs.core.Response getReviewById(@PathParam(value="id")
                                                                                                                    int id)

#### getReviewByUser

    @GET
     @Path(value="users/{user}")
     @Produces(value="application/json")
    public jakarta.ws.rs.core.Response getReviewByUser(@PathParam(value="user")
                                                                                                                              String user)

#### getReviewByAirline

    @GET
     @Path(value="airlines/{airline}")
     @Produces(value="application/json")
    public jakarta.ws.rs.core.Response getReviewByAirline(@PathParam(value="airline")
                                                                                                                                       String airlines)

#### getReviewByAirlineAndUser

    @GET
     @Path(value="{user}/{airlines}")
     @Produces(value="application/json")
    public jakarta.ws.rs.core.Response getReviewByAirlineAndUser(@PathParam(value="user")
                                                                                                                                             String user,
                                                                                                                                             @PathParam(value="airlines")
                                                                                                                                             String airlines)

#### createReview

    @POST
     @Consumes(value="application/json")
     @Produces(value="application/json")
    public jakarta.ws.rs.core.Response createReview(Review review)

#### deleteReview

    @DELETE
     @Path(value="{id}")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response deleteReview(@PathParam(value="id")
                                                                                                                int id)